Bug 632670 - Chain-on-update logs managed-entries-plugin errors on the consumer
Summary: Chain-on-update logs managed-entries-plugin errors on the consumer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Server - Plugins
Version: 1.2.7
Hardware: All
OS: Linux
high
low
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 389_1.2.7 639035
TreeView+ depends on / blocked
 
Reported: 2010-09-10 17:45 UTC by Noriko Hosoi
Modified: 2015-12-07 16:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:48:17 UTC


Attachments (Terms of Use)
Patch (1.45 KB, patch)
2010-12-10 23:04 UTC, Nathan Kinder
nhosoi: review+
Details | Diff

Description Noriko Hosoi 2010-09-10 17:45:12 UTC
Description of problem:
Chain-on-update logs managed-entries-plugin errors on the consumer, which are benign (see Nathan's comments below).  Note: the operation itself is successfully finished.
[09/Sep/2010:17:47:26 -0700] NSMMReplicationPlugin -
multimaster_be_state_change: replica o=airius.com is coming online;
enabling replication
[09/Sep/2010:17:49:45 -0700] managed-entries-plugin - mep_mod_post_op:
Unable to fetch postop entry.
[...]

Comments from Nathan:
I suppose that this does not need to be a fatal message. The managed
entry plug-in is trying to fetch the postop entry to determine if it is
an origin entry. It seems that SLAPI_ENTRY_POST_OP is not set on a
consumer that chains the write operation to a master. This is fine in
this case since we have no work to do. When the master sends the chained
write over to the consumer, it will also send the changes that were
performed by the managed entries plug-in on the master. Replicated
operations are ignored by the managed entry plug-in, so the consumer
will end up being consistent with the master.

Comment 3 Nathan Kinder 2010-12-10 23:04:29 UTC
Created attachment 468082 [details]
Patch

Comment 4 Nathan Kinder 2010-12-10 23:08:23 UTC
Pushed to master.  Thanks to Noriko for her review!

Counting objects: 13, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (7/7), done.
Writing objects: 100% (7/7), 961 bytes, done.
Total 7 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   d9cac18..2d80c40  master -> master

Comment 5 Amita Sharma 2011-05-25 13:14:55 UTC
Hi Noriko/Nathan,

Request you to please add the verification steps.

Thanks,
Amita

Comment 7 Amita Sharma 2011-05-26 13:22:14 UTC
Executed mmrepl/chainonupdate testcase in the acceptance tests.
Checked the logs, no such message found.

Hence marking the bug as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.